package com.zxbw.modulemain.contract

import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.qy.CouponsEntity
import com.zxhl.cms.net.model.uc.AliPayEntity
import com.zxhl.cms.net.model.video.MemberEntity


class RechargeContract {
    interface View {
        fun setPayList(result: MemberEntity)
        fun setCouponsList(result: List<CouponsEntity>?)
        fun requestOrderSuc(result: AliPayEntity)

        fun requestOrderFail(errorMsg: String)

        fun verifyOrderSuc(order: String)

        fun verifyOrderFail(errorMsg: String)
        fun setAppInfo(result: AppInEntity?)
    }

    interface Presenter {
        fun getFetchCard(phone: String)
        fun getPayList(payModel: String)
        fun requestRightsAliPay(
            goodsId: String,
            payType: String,
            phone: String,
            type: String,
            skill: Boolean?,
            outTradeNo: String?,
            couponId: String?,
            mobileOp: String?
        )

        fun verifyPay(order: String?, payType: Int)
        fun appInfo()
    }
}